Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.databinding.converters
[Groovy] Class AbstractStructuredDateBindingEditor

    java.lang.Object
      org.grails.databinding.converters.AbstractStructuredDateBindingEditor

All Implemented Interfaces:
  StructuredBindingEditor

    @groovy.transform.CompileStatic
    abstract class AbstractStructuredDateBindingEditor
    extends java.lang.Object

Authors:
  Jeff Brown

Since:
  2.3

Method Summary
`java.lang.Object` | `assemble(java.lang.String propertyName, DataBindingSource fieldValues)`
`java.lang.Object` | `getDate(java.util.Calendar c)`
`java.util.List` | `getOptionalFields()`
`java.lang.Object` | `getPropertyValue(java.lang.Object obj, java.lang.String propertyName, DataBindingSource source)`
`java.util.List` | `getRequiredFields()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### assemble

    java.lang.Object assemble(java.lang.String propertyName, DataBindingSource fieldValues)

### getDate

    java.lang.Object getDate(java.util.Calendar c)

### getOptionalFields

    java.util.List getOptionalFields()

### getPropertyValue

    java.lang.Object getPropertyValue(java.lang.Object obj, java.lang.String propertyName, DataBindingSource source)

### getRequiredFields

    java.util.List getRequiredFields()

Groovy Documentation